TechDraw ComplexSection

From FreeCAD Documentation
Revision as of 14:58, 27 October 2022 by Wandererfan (talk | contribs)
Other languages:

TechDraw ComplexSection

Menu location
TechDraw → Insert Complex Section
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.21
See also
TechDraw Section

Description

The Complex Section tool creates a cross section view based on a profile and an existing part view.

A sample of a quarter section view created with the Complex Section tool

A sample of an aligned section view created with the Complex Section tool

A sample of an offset section view created with the Complex Section tool

Usage

  1. Select a part view and a profile object in the 3D window or tree. Profiles are typically Sketches, but any object whose shape can be made into a wire will work.
  2. Press the Insert Complex Section button
  3. A dialog will open which will help calculate the various Complex Section properties. The dialog calculates reasonable starting points for the view Direction, but these may be changed.
  4. If you make a mistake, or change your mind while setting up the Section parameters, press the Reset button, and you can start over.



Properties ComplexSection

See also TechDraw SectionView.

Data

Cutting Tool

  • DataCuttingToolWireObject: The document object whose shape will be used to generate the cutting profile.
  • DataProjectionStrategy: Controls how the cut is performed and how the result is projected to the page.
    • Single: Performs a simple cut of the Source shape and projects the result.
    • Piecewise: Cuts the Source shape using a tool created from each segment (edge) of the cutting profile. The results of each cut are projected in a vertical or horizontal array, depending on the orientation of the cutting profile.
    • NoParallel: As Piecewise, but profile segments which are parallel to the view direction are skipped.

Notes

  • TrimAfterCut: the section cut operation sometimes leaves behind a portion of the source shape. If TrimAfterCut is true, an additional cut operation is performed on the result of the first cut and should remove any unwanted pieces.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The ComplexSection tool can be used in macros and from the Python console by using the following functions:

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
view.Source = box
view.Direction = (0.0,0.0,1.0)

profile = FreeCAD.ActiveDocument.Sketch

section = FreeCAD.ActiveDocument.addObject('TechDraw::DrawComplexSection','ComplexSection')
rc = page.addView(section)
section.BaseView = view
section.CuttingToolWireObject = profile